Skip to main content
Resource Center/Hardware/Physical Network Operations
PUTPhysical Network OperationsSince 5.0.0SynchronousAuth Required

ChangeHostNetworkInterfaceLldpMode

ChangeHostNetworkInterfaceLldpMode

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • changehostnetworkinterfacelldpmodeObjectRequired

    changehostnetworkinterfacelldpmode request body object.

    • interfaceUuidListRequired

      The physical NIC port UUID.

    • modeString

      Optional. The lldp mode.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoryListRequired

    See inventrois.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/hostNetworkInterface/lldp/actions

/zstack/v1/hostNetworkInterface/lldp/actions

Operation ID

ChangeHostNetworkInterfaceLldpMode

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/hostNetworkInterface/lldp/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changehostnetworkinterfacelldpmode":{"interfaceUuid":["<interfaceUuid>"],"mode":"<mode>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventories": [ { "interfaceUuid": "1cae08c11e8530a8bf892df7ef709249", "mode": "rx_only" } ] }

Change History

This API has no change history records yet.

View all change history